import ClassicEditor from "./editor_config";

const ckeditorFields: NodeListOf<HTMLTextAreaElement> =
    document.querySelectorAll("textarea[ckeditor]");
ckeditorFields.forEach((field: HTMLTextAreaElement): void => {
    ClassicEditor.create(field)
        .then((editor) => {
            //console.log( 'CkEditor was initialized', editor );
        })
        .catch((error) => {
            console.error(error.stack);
        });
});
//Fields.push.apply(Fields, document.querySelectorAll('.cf-fields textarea'));
